.\"	$NetBSD: mail.local.8,v 1.10 2002/02/08 01:30:08 ross Exp $
.\"
.\" Copyright (c) 1990 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)mail.local.8	8.2 (Berkeley) 12/11/93
.\"
.Dd December 11, 1993
.Dt MAIL.LOCAL 8
.Os
.Sh NAME
.Nm mail.local
.Nd store mail in a mailbox
.Sh SYNOPSIS
.Nm
.Op Fl l
.Op Fl f Ar from
.Ar user ...
.Sh DESCRIPTION
.Nm
reads the standard input up to an end-of-file and appends it to each
.Ar user's
.Pa mail
file.
The
.Ar user
must be a valid user name.
.Pp
The options are as follows:
.Bl -tag -width xxxxxxx
.It Fl f Ar from
Specify the sender's name.
.It Fl l
Request that
.Nm username.lock
files be used for locking.
.El
.Pp
Individual mail messages in the mailbox are delimited by an empty
line followed by a line beginning with the string ``From ''.
A line containing the string ``From '', the sender's name and a time stamp
is prepended to each delivered mail message.
A blank line is appended to each message.
A greater-than character (``\*[Gt]'') is prepended to any line in the message
which could be mistaken for a ``From '' delimiter line.
.Pp
If the
.Op Fl l
flag is specified mailbox locking is done with
.Nm username.lock
files.
Otherwise, the mailbox is exclusively locked with
.Xr flock 2
while mail is appended.
.Pp
If the ``biff'' service is returned by
.Xr getservbyname 3 ,
the biff server is notified of delivered mail.
.Pp
The
.Nm
utility exits 0 on success, and \*[Gt]0 if an error occurs.
.Sh ENVIRONMENT
.Bl -tag -width indent
.It Ev TZ
Used to set the appropriate time zone on the timestamp.
.El
.Sh FILES
.Bl -tag -width /tmp/local.XXXXXX -compact
.It Pa /tmp/local.XXXXXX
temporary files
.It Pa /var/mail/user
user's mailbox directory
.El
.Sh SEE ALSO
.Xr mail 1 ,
.Xr flock 2 ,
.Xr getservbyname 3 ,
.Xr comsat 8 ,
.Xr sendmail 8
.Sh HISTORY
A superset of
.Nm
(handling mailbox reading as well as mail delivery) appeared in
.At v7
as the program
.Xr mail 1 .
